## dawgdic 0.4.3

=== debian/changelog ===
dawgdic (0.4.3-1) unstable; urgency=low

  * New upstream release.
    + Drop all patches, applied upstream.
    + Fix FTBFS on big-endian systems (closes: #667600).
  * Add missing target dependencies to debian/rules.
  * Update copyright file.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 11 Apr 2012 20:51:20 +0200

dawgdic (0.4.2-1) unstable; urgency=low

  * Initial release (closes: #604253).
  * Add patch to allow out-of-tree builds.
    (out-of-tree.diff)
  * Add patch to fix a typo in dawgdic-build.
    (typo.diff)

 -- Jakub Wilk <jwilk@debian.org>  Mon, 26 Mar 2012 15:30:26 +0200
