=== debian/control ===
Source: dawgdic
Section: libs
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 7),
  dpkg-dev (>= 1.16.1),
  autoconf (>= 2.61), automake,
  python-docutils (>= 0.6) | python3-docutils
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/dawgdic/

Package: libdawgdic-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: C++ library for DAWG dictionaries
 dawgdic is a C++ library for building and accessing dictionaries implemented
 with directed acyclic word graphs (DAWGs).
 .
 This package contains the development files.

Package: dawgdic-tools
Section: text
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: command line tools for DAWG dictionaries
 dawgdic is a library for building and accessing dictionaries implemented with
 directed acyclic word graphs (DAWGs).
 .
 This package contains the command-line tools.
