## dawgdic 0.4.5

=== debian/changelog ===
dawgdic (0.4.5-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated vcs in d/control to Salsa.
  * Updated Standards-Version from 3.9.4 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Use secure copyright file specification URI.
  * Drop fields with obsolete URLs.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * Remove generated files in d/rules clean target to fix
    rebuildability (Closes: #1044863).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 13 Nov 2024 19:53:03 +0100

dawgdic (0.4.5-3) unstable; urgency=medium

  * Set maintainer to Debian QA Group
  * Use debhelper 10
  * Switch to python3-docutils3 (Closes: #942937)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 13 Apr 2020 19:15:31 +0200

dawgdic (0.4.5-2) unstable; urgency=low

  * Upload to unstable.
  * Don't use dh_testdir; instead:
    + use makefile rules to ensure that debian/rules can be only run in the
      correct directory;
    + call dh_clean as the first command in the clean target.
  * Add information about version and date to the manual pages.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 05 May 2013 21:48:52 +0200

dawgdic (0.4.5-1) experimental; urgency=low

  * New upstream release.
    + Add patch to fix testing for out-of-tree builds.
      (out-of-tree.diff)

 -- Jakub Wilk <jwilk@debian.org>  Fri, 28 Dec 2012 16:59:21 +0100

dawgdic (0.4.4-1) experimental; urgency=low

  * New upstream release.
  * Add DEP-8 tests.
  * Bump standards version to 3.9.4; no changes needed.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 14 Nov 2012 16:55:42 +0100
