=== debian/control ===
Source: dawgdic
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: autoconf (>= 2.61),
               automake,
               debhelper (>= 10),
               dpkg-dev (>= 1.16.1),
               python3-docutils,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/dawgdic
Vcs-Git: https://salsa.debian.org/debian/dawgdic.git

Package: libdawgdic-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: C++ library for DAWG dictionaries
 dawgdic is a C++ library for building and accessing dictionaries implemented
 with directed acyclic word graphs (DAWGs).
 .
 This package contains the development files.

Package: dawgdic-tools
Section: text
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: command line tools for DAWG dictionaries
 dawgdic is a library for building and accessing dictionaries implemented with
 directed acyclic word graphs (DAWGs).
 .
 This package contains the command-line tools.
