=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,10 @@
 
 .PHONY: clean
 clean:
+	dh_clean
 	rm -rf obj/
 	rm -rf $(manpages)
-	dh_clean
+	$(RM) compile test-driver
 
 .PHONY: build build-arch build-indep
 build build-arch build-indep: obj/build-stamp
@@ -28,7 +29,7 @@
 build build-arch build-indep: obj/test-stamp
 endif
 
-obj/autoconf-stamp:
+obj/autoconf-stamp: configure.ac
 	dh_testdir
 	autoreconf -vfi
 	mkdir -p $(dir $@)
