=== debian/tests/control ===
Tests: dawg-builder-test
Depends: dawgdic-tools,
         g++,
         libdawgdic-dev,

Tests: dictionary-test
Depends: dawgdic-tools,

Tests: completer-test
Depends: dawgdic-tools,

Tests: ranked-completer-test
Depends: dawgdic-tools,
         g++,
         libdawgdic-dev,
